--- title: "Get subject" slug: "management-subaccount-getsubjects" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-getsubjects" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get subject Available in Classic and VPC Get subject information. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/subjects/{subjectId} | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `subjectId` | String | Required | Subject ID - See [Get subject list](/docs/en/management-subaccount-getsubjectlist) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://externalaccess.apigw.ntruss.com/api/v1/subjects/c2dea79b-****-****-****-c162618da17d' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `subjectId` | Integer | - | Subject ID | | `subjectNrn` | Integer | - | NAVER Cloud Platform resource identification value for subject | | `x509Subject` | Integer | - | Certificate's X.509 subject identifier | | `enabled` | Boolean | - | Status - `true` \| `false` - `true`: enabled - `false`: disabled | | `createTime` | String | - | Creation date and time - ISO 8601 format | | `updateTime` | String | - | Last modification date and time - ISO 8601 format | | `lastSeenTime` | String | - | Last usage date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "subjectId": "c2dea79b-****-****-****-c162618da17d", "subjectNrn": "nrn:PUB:ExternalAccess::******:Subject/c2dea79b-****-****-****-c162618da17d", "x509Subject": "CN=Real End cert simsiss, OU=IAM, O=Naver cloud, L=B, ST=A, C=KR", "enabled": true, "createTime": "2024-11-21T17:47:06.293+09:00", "updateTime": "2024-12-12T18:09:05.7+09:00", "lastSeenTime": "2024-12-12T18:09:05.699+09:00" } ```